/*
@licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2019 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as published by
the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "libiio", "index.html", [
    [ "License", "index.html#license", null ],
    [ "Code Model", "index.html#code_model", null ],
    [ "Scanning for IIO contexts", "index.html#scan_contexts", null ],
    [ "Creating a context", "index.html#creating_context", [
      [ "Navigation", "index.html#navigation", [
        [ "Device objects", "index.html#device_obj", null ],
        [ "Channel objects", "index.html#channel_obj", null ]
      ] ],
      [ "Parameters", "index.html#list_params", null ]
    ] ],
    [ "Reading and modifying parameters", "index.html#reading_modify_params", [
      [ "Reading a parameter", "index.html#read_param", null ],
      [ "Modifying a parameter", "index.html#write_param", null ]
    ] ],
    [ "Triggers", "index.html#trigger", null ],
    [ "Capturing or uploading samples", "index.html#capture_upload", [
      [ "Enabling channels and creating the Buffer object", "index.html#create_buffer", null ],
      [ "Refilling the Buffer (input devices only)", "index.html#refill", null ],
      [ "Reading or writing samples to the Buffer", "index.html#read_write", [
        [ "Direct copy", "index.html#memcpy", null ],
        [ "Iterating over the buffer with a callback", "index.html#iterating_cb", null ],
        [ "Iterating on the samples with a for loop", "index.html#iterating_for", null ],
        [ "Extracting from/to a second buffer", "index.html#deinterleave", null ]
      ] ],
      [ "Convert the samples from/to hardware format", "index.html#convert", null ],
      [ "Submitting the Buffer (output devices only)", "index.html#push", null ]
    ] ],
    [ "Advanced options", "index.html#advanced", [
      [ "Register and retrieve a pointer", "index.html#userdata", null ],
      [ "Debug attributes", "index.html#debug_attr", null ],
      [ "Reading and writing registers", "index.html#registers", null ]
    ] ],
    [ "Application Binary Interface", "index.html#abi", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Data Structures", "annotated.html", [
      [ "Data Structures", "annotated.html", "annotated_dup" ],
      [ "Data Structure Index", "classes.html", null ],
      [ "Data Fields", "functions.html", [
        [ "All", "functions.html", null ],
        [ "Variables", "functions_vars.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "Globals", "globals.html", [
        [ "All", "globals.html", null ],
        [ "Functions", "globals_func.html", null ],
        [ "Enumerations", "globals_enum.html", null ]
      ] ]
    ] ],
    [ "Examples", "examples.html", "examples" ]
  ] ]
];

var NAVTREEINDEX =
[
"ad9361-iiostream_8c-example.html",
"group__Device.html#gab1b150a5bfa7b1ab7fd76c538e15e4da"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';